/* /* 
    Created on : 10/04/2026
    Author     : Alexis
*/

@import url('/assets/global/css/fonts/poppins.css');

html {
    font-size: 16px;
    line-height: 1.5;
}

#progress-bar {
    width: 0;
    height: 8px;
    background-color: green; /* Couleur de la barre de progression au départ */
    margin-top: 10px;
    transition: width 0.5s ease;
    border-radius:100px;
    margin:auto;
    margin-bottom:10px;
}

#progress-bar.complete {
    background-color: #ffa810; /* Couleur de fond de la barre de progression (vert) lorsque complète */
}


body {
    font-family: "Poppins", Arial, sans-serif;
    font-size: 16px;
    color: #ffffff;
}



a {
    color: #000000;
    text-decoration: underline;
}


a:hover {
    color: #000000;
}

p {
    margin-top: 0;
    margin-bottom: 1rem;
}

.responsive {
    display: none;
}

.desktop {
    display: block;
}

h1{
    font-size: 36px;
    line-height: normal;
    color: #1b284e;
    font-weight: 600;
    margin-bottom: 30px;
    margin-top: 0;
}

.nopad {
    padding-left: 0px;
    padding-right: 0px;
}

/*****header*****/
header img{
    width: 140px;
    margin: 15px 0 15px 15px;
    
}
/********fin header********/

/****** Offre *****/

section.offre {
    background-color: #34611e;
    background: transparent url("/assets/2026-04_panelas_solares_step/img/bg.jpg");
    min-height: 700px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.recapitulatif section.offre {
    background-color: #34611e;
    background: transparent url("/assets/2026-04_panelas_solares_step/img/bg.jpg");
    min-height: 700px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}



.recapitulatif .accroche {
    margin-top: 0px;
}

.accroche {
    margin-top: 20px;
}

.accroche img {
    margin-top: 30px;
    width: 100%;
    margin-left: 15px;
}

.accroche .wrap {
    padding-right: 6rem;
}

.logo img {
    width: 240px;
    padding: 0;
}

.product img {
    border-radius: 5px;
    -webkit-box-shadow: 1px 1px 5px 3px rgba(0, 0, 0, 0.2);
    box-shadow: 1px 1px 5px 3px rgba(0, 0, 0, 0.2);
}

/* Formulaire
   ========================================================================== */


.formulaire {
    margin-top: 50px;
    margin-bottom: 20px;
}



#overlay {
    display: none; /* caché par défaut */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6); /* voile noir transparent */
    z-index: 999; /* sous le pop-up */
  }
  
  .pop-up {
    display: none; /* caché par défaut */
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000; /* au-dessus de l’overlay */
    background: white;
    padding: 20px;
    border-radius: 20px;
  }

/*.pop-up {
    background-color: rgba(0, 0, 0, 0.6);
    padding: 25px 15px 15px 15px;
    border-radius: 20px;
    line-height: 0.7em;
}*/



.optin1 {
    font-size: 9px;
    color: #000000;
    text-align: left;
}

.optin2 {
    font-size: 9px;
    color: #000000;
    text-align: left;
}

.optin3 {
    font-size: 9px;
    color: #000000;
    text-align: left;
}


.right-form {
    max-width: 300px;
    background-color: none;
    text-align: center;
}

.title-form {
    padding: 0 15px 0 15px;
    text-align: center;
    font-size: 18px;
    line-height: 1.2;
    color: #FFFFFF;
    margin-bottom: 22px;
}

.title-form span {
    color: #ffffff;
}

.title-form .filet {
    width: 80px;
    margin-top: 10px;
    border-top: 3px solid #a28829;
    text-align: center;
}

.label_title {
    margin-top: 15px;
}



.form-control {
    background-color: #ffffff!important;
    font-family: 'Roboto', Arial, sans-serif;
    color: #4e4e4e;
    display: block;
    width: 100%;
    height: 44px;
    padding: 12px;
    font-size: 15px;
    line-height: 1.2;
    border-radius: 10px;
    border: 1px solid #b7b7b7;
    outline: none;
    padding-bottom: 10px;
    font-weight: 400;
}

input:placeholder {
    color: #ffffff;
}

.form-control[disabled] {
    background-color: #fff;
}


.btn-default {
    background-color: #fff;
    border-radius: 0;
    border: none;
    border-bottom: 1px solid #0a4e7c;
    outline: none;
    padding-bottom: 10px;
}


.form-control::placeholder,
.bootstrap-select>.dropdown-toggle.bs-placeholder {
    color: #7c7c7c;
}

.label {
    text-align: left;
    color: #000000;
    /*    width: 140px;*/
    padding: 15px;
    margin: -15px 5px 0 0px;
    font-size: 9px;
    font-weight: 400;
    border-radius: 0;
    white-space: normal;
    line-height: 1.2;
    font-weight: normal;
}

.checkbox-label {
    text-align: left;
    color: #000000;
    display: block;
    padding: 5px 0px;
    margin: -15px 5px 0 5px;
    font-size: 10px;
    clear: both;
    font-weight: 400;
    border-radius: 0;
    white-space: normal;
    line-height: 1.2;
    border-radius: 0 10px 10px 10px;
}



.btn-participer {
    width: 100%;
    background: linear-gradient(90deg, #ee8721, #f7b616);
    font-size: 1em;
    font-weight: 400;
    border: none;
    border-radius: 150px;
    margin: 15px 0 10px 0;
    color: #ffffff;
    padding: 15px 20px;
}

.btn-participer:not([disabled]):hover {
    opacity: 90%;
}

.sub-cta {
    font-size: 9px;
    color: #000000;
    text-align: justify;
    padding: 0 15px;
}
.sub-cta a{
    color: #000000;
}
.name,
.cp {
    padding-right: 5px
}

.adresseH {
    margin-bottom: 0
}

.custom-control-label {
    font-weight: 100;
    font-size: 11px;
    float: right;
    width: 90%
}

textarea.form-control {
    height: 90px;
}

.bootstrap-select.btn-group.show-tick .dropdown-menu li a span.text {
    font-size: 10px;
}

.dropdown-menu>li>a {
    padding: 3px 5px;
}

.accroche2 span {
    font-size: 21px
}

.color {
    color: #2e2e2e;
    text-decoration: underline;
}

.mlsub {
    font-size: 10px;
    color: #ffffff;
    text-align: justify;
    padding: 20px 20px 0px 20px;
    line-height: 1.2;
}

.mlsub a {
    color: #000 !important;
    text-decoration: underline;
}

.civilite {
    clear: both;
}


.hidden-form {
    display: none;
}


.phoneerror {
    z-index: 99;
    display: none;
    position: absolute;
    top: 25%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    border: 1px solid #ccc;
    padding: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    color: red;
}



.right-form .btn-main {
    width: 100%;
    text-align: center;
    margin-top: 14px;
    padding: 12px 15px;
    background-color: #ffa60c !important;
    color: #fff;
    font-size: 1.2rem;
    font-weight: 600;
    border: none;
    border-radius: 150px;
    display: block;
    transition: background-color 0.5s ease;
}

.right-form .btn-main:not([disabled]):hover {
    background-color: #999 !important;
}


.right-form .btn-back {
    width: 80px;
    display: block;
    margin: 1rem 0 0;
    background-color: transparent;
    background-image: none;
    border: 0;
}


.line .btn-bottom .btn-participer2:hover {
    text-decoration: none;
}

.mentions {
    margin-top: 10px;
    font-size: 11px;
    line-height: 1.2em;
    text-align: justify;
    font-weight: 400;
    color: #2e2e2e;
    padding: 0px 20px 15px 20px;
}

.mentions a {
    text-decoration: underline;
}


/** 
* Progress-bar

/** 
* Radio buttons
*/

.button {
    /*  float: left;*/
    margin: 0 5px 0 0;
    /*width: 100px;
    height: 40px;*/
    position: relative;
}

.button label,
.button input {
    /*display: block;
    position: absolute;*/
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.button input[type="radio"] {
    opacity: 0.011;
    z-index: 100;
}

.button input[type="radio"]:checked+label {
    background: #20b8be;
    border-radius: 4px;
}

.button label {
    text-align: center;
    cursor: pointer;
    z-index: 90;
    font-weight: normal;
}

#retour, #suivant {
    background-color: #000000;
    border-radius: 150px;
    border: none;
    color: #ffffff;
    padding: 15px 20px;
}
#suivant {
    width: 94%;
    background: linear-gradient(90deg, #ee8721, #f7b616);
    font-weight: 400;
    font-size: 1.1em;
    margin-top: 15px;
}

.complete{
    width: 94% !important;
}

/* ==========================================================================
   Body
   ========================================================================== */

.line1 {
    padding: 80px 0;
    background-color:#f4f4f4;
}

.line1 .ico {
    text-align: center;
}


.line1 .ico img {
    width:60px;
}

.line1 h1 {
    text-align: center;
    color: #000000;
    font-size: 3em;
    line-height: 1.2em;
    font-weight: 600;
    margin-bottom: 60px;
    letter-spacing: -1px;
}

.line1 h2 {
    text-align: center;
    color: #000000;
    font-size: 1.1em;
    line-height: 1.2em;
    font-weight: 600;
    margin-bottom: 10px;
}

.line1 h3 {
    text-align: center;
    color: #424242;
    font-size: 0.8em;
    line-height: 1.2em;
    font-weight: 400;
}

.line1 h4 {
    text-align: center;
    color: #424242;
    font-size: 0.8em;
    line-height: 1.2em;
    font-weight: 400;
    margin: 0px;
}


.line2 {
    padding: 80px 0;
    background-color:#ffffff;
}

.line2 .bloc {
    text-align: center;
}

.line2 img {
    width:100%;
}



.line2 .bloc img {
    width:100%;
}

.line2 h1 {
    text-align: left;
    color: #000000;
    font-size: 3em;
    line-height: 1.2em;
    font-weight: 600;
    margin-top: 70px;
    margin-bottom: 50px;
    letter-spacing: -1px;
}


.line2 h3 {
    text-align: left;
    color: #000000;
    font-size: 1.2em;
    line-height: 1.2em;
    font-weight: 400;
    margin-bottom: 50px;
}


.line3 {
    padding: 80px 0;
    background-color:#ffffff;
}

.line3 .bloc {
    text-align: center;
}

.line3 img {
    width:90%;
}



.line3 .bloc img {
    width:100%;
}

.line3 h1 {
    text-align: center;
    color: #000000;
    font-size: 3em;
    line-height: 1.2em;
    font-weight: 600;
    margin-bottom: 50px;
    letter-spacing: -1px;
}



/*************************SLIDER*************************/

.slider-container {
    position: relative;
    width: 100%;
    max-width: 1100px;
    margin: 0 auto;
}

.slider-wrapper {
    overflow: hidden;
    border-radius: 10px;
}

.slider {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.slide {
    flex: 0 0 100%;
    padding: 0 5px;
    /* supprime aspect-ratio */
  }
  
  @media (min-width: 990px) {
    .slide {
      flex: 0 0 33.333%;
    }
  }
  
  .slide img {
    width: 100%;
    height: auto; /* conserve les proportions */
    object-fit: contain; /* l’image n’est pas coupée */
  }

/* --- Boutons --- */
.slider-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: #ee8721;
    border: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    cursor: pointer;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    z-index: 10;
}

.slider-button:hover {
    background: #f7b616;
    transform: translateY(-50%) scale(1.1);
}

.prev {
    left: -20px;
}
.next {
    right: -20px;
}

/* --- Points --- */
.slider-dots {
    margin-top: 15px;
    display: flex;
    justify-content: center;
    gap: 8px;
}

.slider-dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.3);
    border: none;
    cursor: pointer;
    transition: all 0.3s ease;
}

.slider-dot:hover {
    background: rgba(0, 0, 0, 0.5);
}

.slider-dot.active {
    background: #ee8721;
    transform: scale(1.2);
}



.line4 {
    padding: 40px 0 80px 0;
    background: linear-gradient(to bottom, #ffffff, #fdecc3);
}

.line4 .ico {
    text-align: center;
}


.line4 .ico img {
    width:60px;
}

.line4 h1 {
    text-align: center;
    color: #000000;
    font-size: 3em;
    line-height: 1.2em;
    font-weight: 600;
    margin-bottom: 60px;
    letter-spacing: -1px;
}

.line4 h2 {
    text-align: center;
    color: #000000;
    font-size: 1.2em;
    line-height: 1.2em;
    font-weight: 600;
    margin-bottom: 10px;
}

.line4 h3 {
    text-align: center;
    color: #424242;
    font-size: 0.8em;
    line-height: 1.2em;
    font-weight: 400;
}

/*************************FAQ*************************/

.faq {
    max-width: 800px;
    margin: 20px auto 0 auto;
    font-family: 'Poppins', sans-serif;
  }
  
  .faq-item {
    margin-bottom: 15px;
    border-radius: 20px; /* très arrondi */
    border: 1px solid #ccc; /* contour gris */
    background-color: #ffffff; /* fond blanc */
    overflow: hidden;

    transition: all 0.3s ease;
  }
  
  .faq-question {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    font-weight: 600;
    padding: 15px 20px; 
    color: #000000;
    transition: background 0.3s ease;
  }
  
  .faq-question:hover {
    background-color: #f9f9f9;
  }
  

  .arrow {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: linear-gradient(to bottom, #ee8721, #f7b616);
    color: #ffffff;
    font-weight: bold;
    transition: transform 0.3s ease;
    flex-shrink: 0;
  }
  
  .faq-answer {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease, padding 0.4s ease;
    padding: 0 20px;
    color: #000000;
    font-weight: 400;
    line-height: 1.5;
    font-size: 14px;
  }
  
  .faq-item.active .faq-answer {
    max-height: 600px; /* suffisant pour la plupart des réponses */
    padding: 10px 20px; /* réduit la hauteur globale */
  }
  
  .faq-item.active .arrow {
    transform: rotate(90deg);
  }


.line5 {
    padding: 80px 0;
    background-color: #000000;
    background: transparent url("/assets/2026-04_panelas_solares_step/img/bg-footer.jpg");
    min-height: 410px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}


.line5 h1 {
    text-align: center;
    color: #ffffff;
    font-size: 3em;
    line-height: 1.2em;
    font-weight: 600;
    margin-bottom: 50px;
    letter-spacing: -1px;
}


.line5 h3 {
    text-align: center;
    color: #ffffff;
    font-size: 1.2em;
    line-height: 1.2em;
    font-weight: 400;
}



.pad-bloc {
    padding-top:100px ;
}

.pad-left {
    padding-left:100px ;
}



.btn-bottom {
    margin-top: 24px;
    margin-bottom: 20px;
}


.btnrdv {
    width: 100%;
    text-align: center;
    margin-top: 40px;
    padding: 12px 15px;
    background-color: #2490D7;
    color: #fff;
    font-size: 1.2rem;
    font-weight: 600;
    border: none;
    border-radius: 5px;
    display: block;
    transition: background-color 0.5s ease;
}

.btnrdv:hover {
    opacity: 90%;
}

.btn2 {
    max-width: 360px;
}


.bloc-elem .form-group {
    margin-bottom: 14px;
    position: relative;
    clear: both;
}

.img_absolute{
    position: absolute;
    bottom: -68px;
    left: 0px;
}



.btn-participer2 {
    width: 68%;
    background: linear-gradient(90deg, #ee8721, #f7b616);
    font-weight: 400;
    font-size: 1.1em;
    border-radius: 150px;
    border: none;
    color: #ffffff;
    padding: 15px 20px;
    margin-top: 15px;
}

.btn-participer3 {
    width: 30%;
    background: linear-gradient(90deg, #ee8721, #f7b616);
    font-weight: 400;
    font-size: 1.1em;
    border-radius: 150px;
    border: none;
    color: #ffffff;
    padding: 15px 20px;
    margin-top: 60px;
}


/* ==========================================================================
   Recapitulatif
   ========================================================================== */

.merci {
    padding-top: 0px;
    font-size: 2.6rem;
    color: #ee8721;
    text-align: left;
    margin-top: 50px;
}

p {
    padding-top: 0px;
    font-size: 26px;
    color: #000000;
    text-align: left;
    line-height: normal;
}

.merci img {
    width: 300px;
    margin: 0px 0 20px 0;

}


/* ==========================================================================
   Footer
   ========================================================================== */

footer {
    padding: 50px 0px 50px 0px;
    background-color: #FFFFFF;
}

footer .ml {
    font-size: 12px;
    font-weight: 400;
    text-align: justify;
    color: #333333;
}

footer a{
    color: #333333;
}

footer .logoF {
    margin-bottom:50px;
}


/* ==========================================================================
   Media Queries
   ========================================================================== */

@media (max-width: 1199px) {


    .line2 h1 {
        margin-top: 0px;
    }

    .btn-participer2 {
        width: 90%;
    }

    .btn-participer3 {
        width: 36%;
    }

}

@media (max-width: 990px) {
    header img{
        text-align: center;
    }

    .container {
        width: 100% !important;
    }

    .assurez{
        border-radius: 0px;
    }
    
    .formulaire {
        text-align: center;
        margin: 0;
        
    }
    
    section.offre,
    section.offre.bg1 {
        background-image: none;
        background-color: #ffffff;
        min-height: 380px;
    }

    .ico {margin-bottom:15px;}

    section.offre .img1 {
        display: none;
    }

    section.offre.bg1 .img {
        display: none;
    }

    section.offre.bg1 .img1 {
        display: block;
    }

    .responsive {
        display: block;
    }

    .responsive img {
        width: 100%;
    }

    .desktop {
        display: none;
    }

    .right-form {
        margin: 40px 0 0px;
        max-width: none;
        margin-top: 0px;
        border-radius: 0;
    }

    .line {
        padding: 30px 0;
    }

    .line h2 {
        font-size: 24px;
    }


    .recapitulatif section.offre {
        min-height: 100px;
        background: #FFFFFF;
    }

    .merci {
        font-size: 1.25rem;
    }

    .merci img {
        margin-top: 70px;
    }

    .line h3 {
        font-size: 22px;
        margin: 20px 20px 0px 20px;
    }

    .picto img {
        width: 20%;
    }

    .img_absolute{
        bottom: -96px;
        left: 20px;
    }

    .blocform{
        padding: 30px 0px 0px 0px;
    }

    .btn-participer2{
        width: 100%;
    }

    .btn-participer3{
        width: 100%;
    }

    h1{
        font-size: 26px;
    }

    .pad-left {
        padding-left:15px ;
    }

    .line2 h1 {
        margin-top: 30px;
    }
    
    .prev {
        left: 0px;
    }
    .next {
        right: 0px;
    }

}


@media (max-width: 767px) {
    .line2 .bloc {
        text-align: center;
        padding-bottom: 50px;
    }

    .line2 .bloc img {
        width:60%;
    }

    .pad-bloc {
        padding-top:40px ;
    }

    .line1 .ico img {
        width:60px;
        padding-top: 30px;
    }

    .line3 .bloc img {
        width: 60%;
    }

    .ui-dialog {
        width: 95% !important;  /* presque toute la largeur */
        left: 2.5% !important;  /* centré */
      }

      .pop-up {
        top: 50%;
        left: 50%;
        right: -20%;
      }
}




/**********/

label {
    display: block;
    font-weight: normal;
}

label.radio-label {
    display: inline-block;
}

.deux .radio-label {
    width: 50%;
}

.trois .radio-label {
    width: 33.3333%;
}

.cinq .radio-label {
    width: 20%;
}




@media (max-width: 500px) {
    .pop-up {
        top: 52%;
        left: 50%;
        right: -40%;
      }

}

@media (max-width: 440px) {
    .line2 h1 {
        font-size: 2.2em;
    }

    .line1 h1 {
        font-size: 2.2em;
    }

    .line5 h1 {
        font-size: 2.2em;
    }

    .line3 h1 {
        font-size: 2.2em;
    }

    .line4 h1 {
        font-size: 2.2em;
    }

    header img {
        width: 140px;
        margin: 15px 0 15px 0px;
    }

    .pop-up {
        top: 52%;
        left: 50%;
        right: -40%;
      }
}


@media (max-width: 400px) {
    .pop-up {
        top: 52%;
        left: 50%;
        right: -40%;
      }

}
